##
##  kapacitor.conf -- Kapacitor Daemon Configuration
##

hostname                      = "localhost"
data_dir                      = "@l_prefix@/var/kapacitor/db/data"

[logging]
  file                        = "@l_prefix@/var/kapacitor/log/kapacitor.log"
  level                       = "INFO"

[http]
  bind-address                = "127.0.0.1:9092"
  auth-enabled                = false
  log-enabled                 = true
  write-tracing               = false
  pprof-enabled               = false
  https-enabled               = false
  https-certificate           = "@l_prefix@/etc/x509/example-server.crt.pem"
  shutdown-timeout            = "10s"

[replay]
  dir                         = "@l_prefix@/var/kapacitor/db/replay"

[storage]
  boltdb                      = "@l_prefix@/var/kapacitor/db/storage.db"

[task]
  dir                         = "@l_prefix@/var/kapacitor/db/tasks"
  snapshot-interval           = "1m0s"

[[influxdb]]
  enabled                     = true
  name                        = "default"
  default                     = false
  urls                        = [ "http://localhost:8086" ]
  username                    = ""
  password                    = ""
  ssl-ca                      = "@l_prefix@/etc/x509/example-ca.crt.pem"
  ssl-cert                    = "@l_prefix@/etc/x509/example-server.crt.pem"
  ssl-key                     = "@l_prefix@/etc/x509/example-server.key.pem"
  insecure-skip-verify        = false
  timeout                     = "0"
  disable-subscriptions       = false
  subscription-protocol       = "http"
  udp-bind                    = ""
  udp-buffer                  = 1000
  udp-read-buffer             = 0
  startup-timeout             = "5m0s"
  subscriptions-sync-interval = "1m0s"
  [influxdb.subscriptions]
  [influxdb.excluded-subscriptions]
     _kapacitor               = [ "default" ]

[smtp]
  enabled                     = false
  host                        = "localhost"
  port                        = 25
  username                    = ""
  password                    = ""
  no-verify                   = false
  global                      = false
  state-changes-only          = false
  from                        = "Kapacitor <kapacitor@localhost>"
  idle-timeout                = "30s"

[reporting]
  enabled                     = false
  url                         = "https://usage.influxdata.com"

[stats]
  enabled                     = true
  stats-interval              = "10s"
  database                    = "_kapacitor"
  retention-policy            = "default"
  timing-sample-rate          = 0.1
  timing-movavg-size          = 1000

